com.rscja.deviceapi

## Class RFIDWithISO14443A4CPU

- java.lang.Object
- - com.rscja.deviceapi.RFIDBase
  - - com.rscja.deviceapi.RFIDWithISO14443A4CPU

- All Implemented Interfaces:
    IRFIDBase, IRFIDWithISO14443A4CPU

      public class RFIDWithISO14443A4CPU
      extends RFIDBase
      implements IRFIDWithISO14443A4CPU

  RFID模块ISO14443A CPU卡协议操作类
  RFID module ISO14443A CPU card protocol operation type

  注意：
  Attention:
  1、使用前请确认您的机器已安装此模块。
  1. Make sure this module is installed before you use your device.
  2、要正常使用模块需要在\libs\armeabi\目录放置libDeviceAPI.so文件
  2. Put libDeviceAPI.so file in directory \libs\armeabi\ then module can be used normally.
  3、在操作设备前需要调用 `RFIDBase.init()` 打开设备，使用完后调用 `RFIDBase.free()` 关闭设备
  3. Call `RFIDBase.init()` to switch on the device before operating the device, call `RFIDBase.free()` to switch off device after using.

  Author:
    liuruifeng

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RFIDWithISO14443A4CPU` | `getInstance()` 获取ISO14443A CPU卡协议操作实例 Acquire ISO14443A CPU card protocol operation example
    `java.lang.String` | `rats()` CPU卡RATS操作指令 CPU card RATS operation command
    `java.lang.String` | `reset()` CPU卡复位操作指令 CPU card reset operation command
    `java.lang.String` | `sendCommand(java.lang.String cmd)` CPU卡 T=CL发送COS指令 CPU card T=CL send COS command

    - ### Methods inherited from class com.rscja.deviceapi.RFIDBase

      `free, getVersion, init, init, isPowerOn, rfidUpgrade`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDBase

      `free, getVersion, init, init, isPowerOn, rfidUpgrade`

- - ### Method Detail

    - #### getInstance

          public static RFIDWithISO14443A4CPU getInstance()
                                                   throws ConfigurationException

      获取ISO14443A CPU卡协议操作实例
      Acquire ISO14443A CPU card protocol operation example
      Returns:
        ISO14443A CPU卡协议操作实例
        ISO14443A CPU card protocol operation example
      Throws:
        `ConfigurationException` - 配置错误异常
        Configuration err

    - #### sendCommand

          public java.lang.String sendCommand(java.lang.String cmd)

      CPU卡 T=CL发送COS指令
      CPU card T=CL send COS command
      Specified by:
        `sendCommand` in interface `IRFIDWithISO14443A4CPU`
      Parameters:
        `cmd` - COS指令内容
        COS command content
      Returns:
        CPU卡返回的COS指令内容
        CPU card return COS command content

    - #### reset

          public java.lang.String reset()

      CPU卡复位操作指令
      CPU card reset operation command
      Specified by:
        `reset` in interface `IRFIDWithISO14443A4CPU`
      Returns:
        CPU卡返回的reset操作数据
        CPU card return reset operation data

    - #### rats

          public java.lang.String rats()

      CPU卡RATS操作指令
      CPU card RATS operation command
      Specified by:
        `rats` in interface `IRFIDWithISO14443A4CPU`
      Returns:
        CPU卡返回的rats操作数据
        CPU card return rats operation data